program conectorproblema_lnx;


uses

  cthreads, cmem, sysutils, uemuladorwinipc, usemaforopolenta, ipcobjs, ukeydir,
  uwinmsgs, unettopos, unettopostypes, uglobsharedmem, uHeapManager,
  uconstantes_nettopos, ubuffrw, uDataSetGenerico, xmatdefs, Classes,
  winLinuxUtils, uConstantesSimSEE, uMsgRetardados,
  uFuncionesAuxiliares, uConectorProblema;


procedure TFmth_execute;
var
	m: TWinMsg;
begin

  writeln('TFmth_execute->ConectorProblema.Create');
  ConectorProblema := TConectorProblema.Create('conector', 'OPT');
  writeln('TFmth_execute<-ConectorProblema.Create');

  while ConectorProblema.recolectar do
  begin
   writeln(' esperando msg ');
   if xGetMessage_WAIT( m ) = 0 then
   begin
     writeln('ConectorProblema mensaje: ', m.msgCode,' : ',m.wParam,' : ',m.lParam);
     if m.msgCode <> WM_CLOSE then
       ConectorProblema.Dispatch(m)
     else
     begin
       writeln('Saliendo por recibir WM_CLOSE.');
       ConectorProblema.recolectar:= false;
     end;
   end
   else
     write('-');
  end;
writeln('TFmth_execute->ConectorProblema.Free');
  ConectorProblema.Free;
writeln('TFmth_execute->fin.');
end;

begin

  CrearArchivosKeys;
  TFmth_execute;

end.
